unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls, Grids,Math, TeEngine, Series,
  TeeProcs, Chart;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Image1: TImage;
    Panel2: TPanel;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    Label1: TLabel;
    Edit1: TEdit;
    Panel3: TPanel;
    Button1: TButton;
    StringGrid1: TStringGrid;
    Button2: TButton;
    Chart1: TChart;
    Series1: TLineSeries;
    Series2: TLineSeries;
    Chart2: TChart;
    LineSeries1: TBarSeries;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
   close;
end;

function FacIterative(n: Word): Longint;
var
  f: LongInt;
  i: Integer;
begin
  f := 1;
  for i := 2 to n do
    f := f * i;
  Result := f;
end;
Function F(X:real;n:integer):real;
var xr:real;
    i:integer;
begin
xr:=0;
   for i:=0 to n do
     xr:=xr+power(-1,i)*(power(x,2*i+1)/FacIterative(2*i+1));
     result:=xr;
end;
procedure TForm1.Button2Click(Sender: TObject);
var x:integer;
sn,y:real;
begin
form1.StringGrid1.RowCount:=182;
form1.StringGrid1.Cells[0,0]:='';
form1.StringGrid1.Cells[1,0]:='Sin(x)';
form1.StringGrid1.Cells[2,0]:='F(x)';
form1.StringGrid1.Cells[3,0]:='Sin(x)-F(x)';
Form1.Chart1.Series[0].Clear;
Form1.Chart1.Series[1].Clear;
  for X:=0 to 180 do begin

  sn:=Sin(x*pi/180);
      form1.StringGrid1.Cells[0,x+1]:=inttostr(x);
      form1.StringGrid1.Cells[1,x+1]:=FormatFloat('0.0000000',sn);
      y:=F(x*pi/180,3);
      form1.StringGrid1.Cells[2,x+1]:=FormatFloat('0.0000000',y);
      form1.StringGrid1.Cells[3,x+1]:=FormatFloat('0.0000000',y-sn);
  Form1.Chart1.Series[0].AddXY(x,y);
  Form1.Chart1.Series[1].AddXY(x,sn);
  Form1.Chart2.Series[0].AddXY(x,sn-y);
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
Button2Click(nil);
end;

end.
